Bug 1520328 (CVE-2017-1000407) - CVE-2017-1000407 Kernel: KVM: DoS via write flood to I/O port 0x80
Summary: CVE-2017-1000407 Kernel: KVM: DoS via write flood to I/O port 0x80
Status: CLOSED ERRATA
Alias: CVE-2017-1000407
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171201,repor...
Keywords: Security
Depends On: 1695838 1520331 1520347 1520348 1520349
Blocks: 1519133
TreeView+ depends on / blocked
 
Reported: 2017-12-04 09:29 UTC by Prasad J Pandit
Modified: 2019-06-11 11:13 UTC (History)
46 users (show)

(edit)
Linux kernel Virtualization Module (CONFIG_KVM) for the Intel processor family (CONFIG_KVM_INTEL) is vulnerable to a DoS issue. It could occur if a guest was to flood the I/O port 0x80 with write requests. A guest user could use this flaw to crash the host kernel resulting in DoS.
Clone Of:
(edit)
Last Closed: 2019-06-08 03:32:35 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0676 None None None 2018-04-10 08:12 UTC
Red Hat Product Errata RHSA-2018:1062 None None None 2018-04-10 09:36 UTC
Red Hat Product Errata RHSA-2019:1170 None None None 2019-05-14 19:08 UTC

Description Prasad J Pandit 2017-12-04 09:29:20 UTC
Linux kernel built with the KVM virtualization(CONFIG_KVM) support
for the Intel processor family(CONFIG_KVM_INTEL), is vulnerable
to a DoS issue. It could occur if a guest was to flood the I/O
port 0x80 with write requests.

A guest user could use this flaw to crash the host kernel
resulting in DoS.

Upstream patch
--------------
  -> https://www.spinics.net/lists/kvm/msg159809.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/12/04/2

Comment 1 Prasad J Pandit 2017-12-04 09:30:39 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1520331]

Comment 6 Justin M. Forbes 2018-01-29 17:34:52 UTC
This was fixed for Fedora with the 4.14.6 stable updates

Comment 7 errata-xmlrpc 2018-04-10 08:11:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0676 https://access.redhat.com/errata/RHSA-2018:0676

Comment 8 errata-xmlrpc 2018-04-10 09:35:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1062 https://access.redhat.com/errata/RHSA-2018:1062

Comment 10 errata-xmlrpc 2019-05-14 19:08:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Extended Update Support

Via RHSA-2019:1170 https://access.redhat.com/errata/RHSA-2019:1170


Note You need to log in before you can comment on or make changes to this bug.